Important: End-of-life for 9-series products is coming in H1/2014

F-Secure

Important: End-of-life for 9-series products is coming in H1/2014

Dear all,

 

We would like to remind you that the end of life for F-Secure 9-series products is approaching and we will cease official support for the following products:

  • F-Secure Client Security 9.x – after 6 February 2014
  • F-Secure Anti-Virus for Workstations 9.x – after 15 February 2014
  • F-Secure Server Security 9.x – after 24 April 2014
  • F-Secure E-mail and Server Security 9.x – after 24 April 2014
  • F-Secure Anti-Virus for Windows Servers 9.00 – after 24 April 2014
  • F-Secure Anti-Virus for Citrix Servers 9.00 – after 24 April 2014
  • F-Secure Anti-Virus for Microsoft Exchange 9.x – after 24 April 2014

After the end-of-life period we cannot guarantee the functionality and up-to-date protection. If you are using any of the above mentioned products, we recommend you to start planning and make upgrades to the latest releases.

 

The latest product releases are always available at our public download site:

http://www.f-secure.com/en/web/business_global/support/downloads

 

Partners can also download the latest versions of our products from F-Secure Partner Portal:

https://partnerportal.f-secure.com/en_GB/partners

 

For more information about supported products and F-Secure product life cycle policy, please visit:
http://www.f-secure.com/en/web/business_global/support/supported-products

 

8 REPLIES 8
Superuser

Re: Important: End-of-life for 9-series products is coming in H1/2014

Hello,

 

> After the end-of-life period we cannot guarantee the functionality and up-to-date protection.

 

In fact you already cannot guarantee the up-to-date protection with F-Secure 9.x products, because those only have DeepGuard-3 tech, which is inefficient against modern-day newly emerging and ransomware/scareware/rogueware threats!

 

To be protected in the first 4-14 hours, while a new threat emerges and there is no traditional AV database update release yet, people need to run an F-Secure 10/11 series product with the more modern DeepGuard 4/5 tech inside.

 

Because of the above, I think F-Secure Corp. should be bold and officially discontinue the FSAV 9.x products sooner and put pressure on customers to take FSAV10/11 binaries into use!

 

Sincerely: Tamas Feher, Hungary.

tle
Scholar

Re: Important: End-of-life for 9-series products is coming in H1/2014

Will there be a fsdbupdate10.exe at somepoint then?

Superuser

Re: Important: End-of-life for 9-series products is coming in H1/2014

Hello,

 

F-Secure ver 9/10/11 products use the same Aquarius technology for the main scan engine, therefore fsdbupdate9.exe can be also used to off-line update F-Secure 10.xx and 11.xx products.

 

Sincerely: Tamas Feher, 2F 2000, Hungary.

Scholar

Re: Important: End-of-life for 9-series products is coming in H1/2014

fsdbupdate9.exe is not working with Policy Manager 11.

tle
Scholar

Re: Important: End-of-life for 9-series products is coming in H1/2014

Actually, it is working with 11.00 with server security 10.01 installed on the same server.

 

With 11.10 and server security 10.50 I noticed that it stopped working, any ideas from F-Secure on this?!

F-Secure

Re: Important: End-of-life for 9-series products is coming in H1/2014

Please check and follow this post.

Superuser

Re: Important: End-of-life for 9-series products is coming in H1/2014

Hello,

 

When will we have "F-Secure Linux Security" version 10 or 11, to replace the elderly "F-Secure Linux Security 9.20" product?

 

Thanks in advance, Yours Sincerely:

Tamas Feher, 2F 2000, Hungary.

Aspirant

Re: Important: End-of-life for 9-series products is coming in H1/2014

In view of recent news from F-Secure regarding the problems around customers NOT being able to update to v10 & v11 from v9 products, due to corrupted installs, I think it's important that signatures are available for v9 until a hotfix is found.

 

It's not acceptable that customers are expected to upgrade to what is essentially "broken software"!

 

The details of the problems can be found in the following forum post for those who aren't aware of what this issue is all about: http://community.f-secure.com/t5/End-point/Client-Security-Upgrade-from-v9/td-p/42541